org.springframework.jca.cci.object

## Class MappingRecordOperation.RecordExtractorImpl

- java.lang.Object
- - org.springframework.jca.cci.object.MappingRecordOperation.RecordExtractorImpl

All Implemented Interfaces:
  RecordExtractor

Enclosing class:
  MappingRecordOperation

    protected class MappingRecordOperation.RecordExtractorImpl
    extends Object
    implements RecordExtractor

Implementation of RecordExtractor that calls the enclosing class's `extractOutputData` method.

### Constructor Summary

Constructors
`protected` `MappingRecordOperation.RecordExtractorImpl()`

### Method Summary

Methods
`Object` `extractData(Record record)` Process the data in the given Record, creating a corresponding result object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MappingRecordOperation.RecordExtractorImpl

    protected MappingRecordOperation.RecordExtractorImpl()

### Method Detail

#### extractData

    public Object extractData(Record record)
                       throws ResourceException,
                              SQLException,
                              DataAccessException

Description copied from interface: `RecordExtractor`
Process the data in the given Record, creating a corresponding result object.

Specified by:
  `extractData` in interface `RecordExtractor`
Parameters:
  `record` - the Record to extract data from (possibly a CCI ResultSet)
Returns:
  an arbitrary result object, or `null` if none (the extractor will typically be stateful in the latter case)
Throws:
  `ResourceException` - if thrown by a CCI method, to be auto-converted to a DataAccessException
  `SQLException` - if thrown by a ResultSet method, to be auto-converted to a DataAccessException
  `DataAccessException` - in case of custom exceptions
See Also:
  `ResultSet`